Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class MappingStrategyInstaller

    java.lang.Object
      org.apache.openjpa.jdbc.meta.StrategyInstaller
          org.apache.openjpa.jdbc.meta.MappingStrategyInstaller

All Implemented Interfaces:
  Serializable

    public class MappingStrategyInstaller

extends StrategyInstaller

Installer used during mapping that attempts to use the given mapping information (if any), and fails if it does not work.

Since:
  0.4.0
Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.StrategyInstaller
`repos`

Constructor Summary
`MappingStrategyInstaller(MappingRepository repos)` Constructor; supply configuration.

Method Summary
`void` | `installStrategy(ClassMapping cls)` Install a strategy on the given mapping.
`void` | `installStrategy(Discriminator discrim)` Install a strategy on the given mapping.
`void` | `installStrategy(FieldMapping field)` Install a strategy on the given mapping.
`void` | `installStrategy(Version version)` Install a strategy on the given mapping.
`boolean` | `isAdapting()` Return whether this installer adapts the given mapping data and schema, vs requiring that all information be supplied correctly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingStrategyInstaller

    public MappingStrategyInstaller(MappingRepository repos)

  Constructor; supply configuration.

Method Detail

### isAdapting

    public boolean isAdapting()

  Description copied from class: `StrategyInstaller`
  Return whether this installer adapts the given mapping data and schema, vs requiring that all information be supplied correctly.

  Overrides:
    `isAdapting` in class `StrategyInstaller`

### installStrategy

    public void installStrategy(ClassMapping cls)

  Description copied from class: `StrategyInstaller`
  Install a strategy on the given mapping.

  Specified by:
    `installStrategy` in class `StrategyInstaller`

### installStrategy

    public void installStrategy(FieldMapping field)

  Description copied from class: `StrategyInstaller`
  Install a strategy on the given mapping.

  Specified by:
    `installStrategy` in class `StrategyInstaller`

### installStrategy

    public void installStrategy(Version version)

  Description copied from class: `StrategyInstaller`
  Install a strategy on the given mapping.

  Specified by:
    `installStrategy` in class `StrategyInstaller`

### installStrategy

    public void installStrategy(Discriminator discrim)

  Description copied from class: `StrategyInstaller`
  Install a strategy on the given mapping.

  Specified by:
    `installStrategy` in class `StrategyInstaller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.